FLAIM: FCURSOR_SUBQUERY_STATUS Struct Reference

- Main Page
- Modules
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCURSOR_SUBQUERY_STATUS Struct Reference

Structure that reports query processing progress. More...

`#include <flaim.h>`

List of all members.

## Public Attributes
HFDB | hDb
| Database handle.
FLMUINT | uiContainerNum
| Container number records are being retrieved from.
FLMUINT | uiIndexNum
| Index being used, if any. Zero if none.
FLMUINT | uiProcessedCnt
| Total records processed so far.
FLMUINT | uiMatchedCnt
| Total records that matched the query criteria so far.
FLMUINT | uiNumRejectedByCallback
| Total records rejected by the record validator callback function. The record validator callback function is set by calling FlmCursorConfig() using the eCursorConfigType::FCURSOR_SET_REC_VALIDATOR option.
FLMUINT | uiDupsEliminated
| Total duplicate records eliminated.
FLMUINT | uiKeysTraversed
| Total index keys traversed.
FLMUINT | uiKeysRejected
| Total index keys rejected.
FLMUINT | uiRefsTraversed
| Total index key references traversed.
FLMUINT | uiRefsRejected
| Total index key references rejected.
FLMUINT | uiRecsFetchedForEval
| Total records read from the container to be evaluated.
FLMUINT | uiRecsRejected
| Total records rejected.
FLMUINT | uiRecsFetchedForView
| Total records retrieved after key passes criteria.
FLMUINT | uiRecsNotFound
| Total records that were pointed to from an index key that could not be found. NOTE: If this number is non-zero, there may be a logical index corruption in the database.

## Detailed Description

Structure that reports query processing progress.

This is returned to the callback function that is set by the FlmCursorConfig() function using the eCursorConfigType::FCURSOR_SET_STATUS_HOOK option. The callback function is called from within FlmCursorFirst(), FlmCursorLast(), FlmCursorNext(), FlmCursorPrev(), and any other functions that retrieve records and evaluates them against the query criteria. This structure is passed to the callback function when the eStatusType::FLM_SUBQUERY_STATUS status is reported.